Loading...
Searching...
No Matches
XrdCmsParseInit Class Reference
Collaboration diagram for XrdCmsParseInit:

## Public Member Functions

| XrdCmsParseInit (int mVal,...)
| ~XrdCmsParseInit ()
const char ** | nameVec ()

## Detailed Description

Definition at line 58 of file XrdCmsParser.cc.

## Constructor & Destructor Documentation

## XrdCmsParseInit()

XrdCmsParseInit::XrdCmsParseInit | ( | int | mVal,
|  |  | ... )

inline

Definition at line 64 of file XrdCmsParser.cc.

{va_list ap;
int vp = mVal;
// const char *Dummy;
memset(PupNVec, 0, sizeof(PupNVec));
va_start(ap, mVal);
do { if (vp < XrdCmsRRData::Arg_Count)
PupNVec[vp] = va_arg(ap, char *);
else va_arg(ap, char *);
} while((vp = va_arg(ap, int)));
va_end(ap);
}
XrdCmsRRData::Arg_Count
@ Arg_Count
Definition XrdCmsRRData.hh:84

References XrdCmsRRData::Arg_Count.

## ~XrdCmsParseInit()

XrdCmsParseInit::~XrdCmsParseInit | ( |  | ) |

inline

Definition at line 76 of file XrdCmsParser.cc.

{}

## Member Function Documentation

## nameVec()

const char ** XrdCmsParseInit::nameVec | ( |  | ) |

inline

Definition at line 62 of file XrdCmsParser.cc.

{return (const char **)PupNVec;}

The documentation for this class was generated from the following file:

- XrdCmsParser.cc